var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Info from \"./info\";\n\nconst pkg = {\n  name: \"solid-js\",\n  version: 1,\n  speed: \"⚡️\",\n  website: \"https://solidjs.com\",\n};\n\nfunction App() {\n  return (\n    <Info\n      name={pkg.name}\n      version={pkg.version}\n      speed={pkg.speed}\n      website={pkg.website}\n    />\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "info",
			content: "export default function Info(props) {\n  return (\n    <p>\n      The <code>{props.name}</code> package is {props.speed} fast. Download\n      version {props.version} from{\" \"}\n      <a href={`https://www.npmjs.com/package/${props.name}`}>npm</a> and{\" \"}\n      <a href={props.website}>learn more here</a>\n    </p>\n  );\n}\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Info from \"./info\";\n\nconst pkg = {\n  name: \"solid-js\",\n  version: 1,\n  speed: \"⚡️\",\n  website: \"https://solidjs.com\",\n};\n\nfunction App() {\n  return <Info {...pkg} />;\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "info",
			content: "export default function Info(props) {\n  return (\n    <p>\n      The <code>{props.name}</code> package is {props.speed} fast. Download\n      version {props.version} from{\" \"}\n      <a href={`https://www.npmjs.com/package/${props.name}`}>npm</a> and{\" \"}\n      <a href={props.website}>learn more here</a>\n    </p>\n  );\n}\n"
		}
	]
};
var markdown = "有时你的组件和元素会接收可变数量的属性，将所有属性作为对象而不是单独传递就很有必要了。在组件中包装 DOM 元素时尤其如此，这是制作设计系统时的常见实践。\n\n为此，我们使用扩展运算符 `...`。\n\n就可以传递一个具有可变数量属性的对象：\n\n```jsx\n<Info {...pkg} />\n```\n";
var bindings_spreads = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_spreads as default, lesson, markdown, solved };
