var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return <div>Some Text</div>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return (\n    <div style={{\n      color: `rgb(${num()}, 180, ${num()})`,\n      \"font-weight\": 800,\n      \"font-size\": `${num()}px`}}\n    >\n      Some Text\n    </div>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var markdown = "Solid 中的 style 属性接受样式字符串或对象。然而，对象形式不同于 `Element.prototype.style`，Solid 通过调用 `style.setProperty` 的封装来进行样式设置。这意味着键需要采用破折号的形式，如 `background-color` 而不是 `backgroundColor`。 但这意味着我们可以设置 CSS 变量。\n\n```js\n<div style={{ \"--my-custom-color\": themeColor() }} />\n```\n\n让我们用一些内联样式为 div 设置动画：\n\n```jsx\n<div\n  style={{\n    color: `rgb(${num()}, 180, ${num()})`,\n    \"font-weight\": 800,\n    \"font-size\": `${num()}px`,\n  }}\n>\n  Some Text\n</div>\n```\n";
var bindings_style = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_style as default, lesson, markdown, solved };
