var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { ErrorBoundary } from \"solid-js\";\n\nconst Broken = (props) => {\n  throw new Error(\"Oh No\");\n  return <>Never Getting Here</>\n}\n\nfunction App() {\n  return (\n    <>\n      <div>Before</div>\n      <Broken />\n      <div>After</div>\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { ErrorBoundary } from \"solid-js\";\n\nconst Broken = (props) => {\n  throw new Error(\"Oh No\");\n  return <>Never Getting Here</>\n}\n\nfunction App() {\n  return (\n    <>\n      <div>Before</div>\n      <ErrorBoundary fallback={err => err}>\n        <Broken />\n      </ErrorBoundary>\n      <div>After</div>\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "源自 UI 的 JavaScript 错误不应破坏整个应用程序。错误边界(ErrorBoundary)是一个可以捕获子组件树任何位置产生的 JavaScript 错误，错误边界(ErrorBoundary) 会记录这些错误，并显示回退 UI 而非崩溃的组件树。\n\n示例中，有一个组件使得我们的应用崩溃了。让我们将代码包裹在一个显示错误的错误边界(ErrorBoundary)组件中。\n\n```jsx\n<ErrorBoundary fallback={(err) => err}>\n  <Broken />\n</ErrorBoundary>\n```\n";
var flow_error_boundary = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_error_boundary as default, lesson, markdown, solved };
