var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, Show, Switch, Match } from \"solid-js\";\n\nfunction App() {\n  const [x] = createSignal(7);\n\n  return (\n    <Show\n      when={x() > 10}\n      fallback={\n        <Show\n          when={5 > x()}\n          fallback={<p>{x()} is between 5 and 10</p>}\n        >\n          <p>{x()} is less than 5</p>\n        </Show>\n      }\n    >\n      <p>{x()} is greater than 10</p>\n    </Show>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, Switch, Match } from \"solid-js\";\n\nfunction App() {\n  const [x] = createSignal(7);\n\n  return (\n    <Switch fallback={<p>{x()} is between 5 and 10</p>}>\n      <Match when={x() > 10} >\n        <p>{x()} is greater than 10</p>\n      </Match>\n      <Match when={5 > x()}>\n        <p>{x()} is less than 5</p>\n      </Match>\n    </Switch>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "Manchmal muss man mit Bedingungen mit mehr als zwei einander ausschließenden Ergebnissen umgehen. Für diesen Fall haben wir die `<Switch>`- und `<Match>`-Komponenten, die ähnlich wie JavaScripts `switch`/`case` funktionieren.\n\nEs wird versuchen, die Bedingungen in ihrer Reihenfolge zu prüfen, um den Inhalt des ersten Statements mit einer zutreffenden Bedingung zu rendern. Falls alle Bedingungen fehlschlagen, wird das fallback gerendert.\n\nIn unserem Beispiel können wir die verschachtelten `<Show>`-Komponenten wie folgt ersetzen:\n\n```jsx\n<Switch fallback={<p>{x()} is between 5 and 10</p>}>\n  <Match when={x() > 10}>\n    <p>{x()} is greater than 10</p>\n  </Match>\n  <Match when={5 > x()}>\n    <p>{x()} is less than 5</p>\n  </Match>\n</Switch>\n```\n";
var flow_switch = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_switch as default, lesson, markdown, solved };
