var html = "<section class=\"mt-10\"><h1 id=\"einstieg-in-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#einstieg-in-solid\">#</a> Einstieg in Solid</h1><h2 id=\"solid-ausprobieren\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-ausprobieren\">#</a> Solid ausprobieren</h2><p>Mit Abstand die einfachste Möglichkeit, in Solid einzusteigen, ist, es online auszuprobieren. Unser REPL auf <a href=\"https://playground.solidjs.com\">https://playground.solidjs.com</a> ist der perfekte Weg, um Ideen auszuprobieren. Ähnlich gut ist <a href=\"https://codesandbox.io/\">https://codesandbox.io/</a>, wo du jedes <a href=\"https://github.com/solidjs/solid/blob/main/documentation/resources/examples.md\">unserer Beispiele</a> anpassen kannst.</p><p>Alternativ kann man auch unsere einfachen <a href=\"https://vitejs.dev/\">Vite</a>-Vorlagen nutzen, indem man folgende Anweisungen ins Terminal eingibt:</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/js my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># oder yarn oder pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># oder yarn oder pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Oder für TypeScript:</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/ts my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># oder yarn oder pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># oder yarn oder pnpm</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"solid-lernen\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-lernen\">#</a> Solid lernen</h2><p>Bei Solid geht es ganz um kleine zusammenpassende Teile, die als Bausteine für Anwendungen dienen. Diese Teile sind hauptsächlich Funktionen, die oberflächlich viele übergeordnete APIs bilden. Glücklicherweise muss man nicht viel darüber wissen, um mit Solid zu starten.</p><p>Die beiden wichtigsten Bausteine, die zur Verfügung stehen, sind Komponenten und reaktive Primitiven.</p><p>Komponenten sind Funktionen, die ein Props-Objekt nehmen und JSX-Elemente zurückgeben einschließlich nativer DOM-Elemente und anderer Komponenten. Sie können als JSX-Elemente in PascalCase geschrieben werden:</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">MyComponent</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;Hello {props.name}&lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">MyComponent</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;Solid&quot;</span><span style=\"color:#24292e\"> /&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p>Komponenten sind insofern leichtgewichtig, als sie nicht selbst Zustand verwalten und keine eigenen Instanzen erzeugen müssen. Stattdessen funktionieren sie als Fabrik-Funktionen für DOM-Elemente und reaktive Primitiven.</p><p>Solids feingranulare Reaktivität baut auf 3 einfachen Primitiven auf: Signale, Memos und Effekte. Zusammen formen sie eine Maschine zur automatischen Verfolgung und Synchronisation, die sicherstellt, dass die Ausgabe aktuell bleibt. Reaktive Berechnungen nehmen dabei die Form von in Funktionen gekapselten Ausdrücken, die synchron ausgeführt werden, an.</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">first</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setFirst</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;JSON&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">last</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setLast</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Bourne&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">`${</span><span style=\"color:#6f42c1\">first</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">} ${</span><span style=\"color:#6f42c1\">last</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">}`</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"></span></code></pre><p>Es gibt noch mehr über <a href=\"#reactivity\">Solids Reaktivität</a> und <a href=\"#rendering\">Solids Rendering</a> zu lernen.</p><h2 id=\"solids-philosophie\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solids-philosophie\">#</a> Solids Philosophie</h2><p>Das Design von Solid basiert auf Ansichten über bestimmte Prinzipien und Werten, die uns helfen, Webseiten und Anwendungen auf die beste Art zu bauen. Es ist einfacher, zu lernen, Solid zu nutzen, wenn man die Philosophie dahinter kennt.</p><h3 id=\"1.-deklarative-daten\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#1.-deklarative-daten\">#</a> 1. Deklarative Daten</h3><p>Deklarative Daten ist die Praxis, die Beschreibung des Datenverhaltens an dessen Deklaration zu hängen. Das erlaubt eine einfache Zusammenstellung aller Aspekte des Datenverhaltens am gleichen Platz.</p><h3 id=\"2.-verschwindende-komponenten\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#2.-verschwindende-komponenten\">#</a> 2. Verschwindende Komponenten</h3><p>Es ist schwer genug, Komponenten zu strukturieren, ohne Aktualisierungen zu bedenken. Solids Aktualisierungslogik ist unabhängig von den Komponenten. Komponenten-Funktionen werden nur einmal aufgerufen und hören dann auf, zu existieren. Komponenten existieren, um den Code zu organisieren und mehr nicht.</p><h3 id=\"3.-trennung-von-lesen%2Fschreiben\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#3.-trennung-von-lesen%2Fschreiben\">#</a> 3. Trennung von Lesen/Schreiben</h3><p>Präzise Kontrolle und Vorhersagbarkeit sind die Grundlage für bessere Systeme. Wir brauchen keine völlige Unveränderlichkeit, um unidirektionalen Datenfluss zu erzwingen, sondern nur die Fähigkeit, eine bewusste Entscheidung zu treffen, welche Nutzer schreiben können und welche nicht.</p><h3 id=\"4.-einfach-ist-besser-als-leicht\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#4.-einfach-ist-besser-als-leicht\">#</a> 4. Einfach ist besser als leicht</h3><p>Eine schwere Lektion für feingranulare Reaktivität. Explizite und konsistente Konventionen sind selbst dann wertvoll, wenn sie etwas mehr Aufwand erfordern. Das Ziel ist es, minimale Werkzeuge zur Verfügung zu stellen, die zu einer Grundlage werden, auf der man aufbauen kann.</p><h2 id=\"web-components\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#web-components\">#</a> Web Components</h2><p>Solid wurde mit dem Wunsch geschaffen, Web Components als Bürger erster Klasse zu behandeln. Mit der Zeit unterlag das Design einer Evolution und die Ziele wurden angepasst. Dennoch ist Solid ein guter Weg, um Web Components zu erstellen. <a href=\"https://github.com/solidjs/solid/tree/main/packages/solid-element\">Solid Element</a> erlaubt es, Solid-Komponenten zu schreiben und als kleine und performante Web Components zu verpacken. Innerhalb von Solid-Anwendungen ist Solid Element in der Lage, Solids Context API zu verwenden und Solids Portal-Komponente unterstützt mit Shadow DOM isolierte Styles.</p><h2 id=\"server-rendering\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#server-rendering\">#</a> Server Rendering</h2><p>Solid hat eine dynamische Serverseitige Render-Lösung die eine wirklich isomorphische Entwicklungserfahrung ermöglicht. Durch die Nutzung unserer Resource-Primitive sind asnychrone Daten-Abfragen einfach gemacht und, noch wichtiger, automatisch zwischen Client und Browser serialisiert und synchronisiert.</p><p>Da Solid asynchrones Rendern in Datenströme unterstützt, kann man seinen Code einmal schreiben und auch auf dem Server ausführen. Das heisst, das Fähigkeiten wie <a href=\"https://reactjs.org/docs/concurrent-mode-suspense.html#approach-3-render-as-you-fetch-using-suspense\">render-as-you-fetch</a> und Code-splitting in Solid einfach funktionieren.</p><p>Mehr Informationen bietet das <a href=\"#server-side-rendering\">Server Handbuch</a>.</p><h2 id=\"keine-kompilation%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#keine-kompilation%3F\">#</a> Keine Kompilation?</h2><p>Du magst kein JSX? Dich stören etwas mehr manuelle Arbeit beim verpacken von Ausdrücken, schlechtere Performance und größere Bundle-Größen nicht? Man kann alternativ auch Solid-Anwendungen mit Tagged Template Literalen oder HyperScript in nicht-kompilierten Umgebungen verwenden.</p><p>Das kann man direkt im Browser mit <a href=\"https://www.skypack.dev/\">Skypack</a> laufen lassen:</p><pre class=\"shiki\" style=\"background-color:#fff\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">type</span><span style=\"color:#24292e\">=</span><span style=\"color:#032f62\">&quot;module&quot;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        createSignal,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        onCleanup,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { render } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> html </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/html&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">),</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          </span><span style=\"color:#005cc5\">timer</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setInterval</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">() </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">), </span><span style=\"color:#005cc5\">1000</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">onCleanup</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clearInterval</span><span style=\"color:#24292e\">(timer));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">html</span><span style=\"color:#032f62\">`&lt;div&gt;${</span><span style=\"color:#24292e\">count</span><span style=\"color:#032f62\">}&lt;/div&gt;`</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(App, document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><p>Man bedenke, dass man immer noch die dazugehörige DOM Expression Library benötigt, damit das mit TypeScript funktioniert. Man kann Tagged Template Literals mit <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/lit-dom-expressions\">Lit DOM Expressions</a> oder HyperScript mit <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/hyper-dom-expressions\">Hyper DOM Expressions</a> benutzen.</p></section>";
var attributes = {
	title: "Einstieg in Solid",
	description: "Ein Handbuch zum Einstieg in Solid.",
	sort: 0
};
var sections = [
	{
		slug: "einstieg-in-solid",
		title: "Einstieg in Solid",
		level: 1,
		children: [
			{
				slug: "solid-ausprobieren",
				title: "Solid ausprobieren",
				level: 2,
				children: [
				]
			},
			{
				slug: "solid-lernen",
				title: "Solid lernen",
				level: 2,
				children: [
				]
			},
			{
				slug: "solids-philosophie",
				title: "Solids Philosophie",
				level: 2,
				children: [
					{
						slug: "1.-deklarative-daten",
						title: "1. Deklarative Daten",
						level: 3,
						children: [
						]
					},
					{
						slug: "2.-verschwindende-komponenten",
						title: "2. Verschwindende Komponenten",
						level: 3,
						children: [
						]
					},
					{
						slug: "3.-trennung-von-lesen%2Fschreiben",
						title: "3. Trennung von Lesen/Schreiben",
						level: 3,
						children: [
						]
					},
					{
						slug: "4.-einfach-ist-besser-als-leicht",
						title: "4. Einfach ist besser als leicht",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "web-components",
				title: "Web Components",
				level: 2,
				children: [
				]
			},
			{
				slug: "server-rendering",
				title: "Server Rendering",
				level: 2,
				children: [
				]
			},
			{
				slug: "keine-kompilation%3F",
				title: "Keine Kompilation?",
				level: 2,
				children: [
				]
			}
		]
	}
];
var gettingStarted = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, gettingStarted as default, html, sections };
