var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\n\nfunction HelloWorld() {\n  return <div>Hello World!</div>;\n}\n\nrender(() => <HelloWorld />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\n\nfunction HelloWorld() {\n  return <div>Hello Solid World!</div>;\n}\n\nrender(() => <HelloWorld />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "# Вступление\n\nДобро пожаловать в руководство по Solid! Здесь вы познакомитесь с основными функциями Solid. Вы также можете обратиться к API и гайдам, чтобы узнать больше о том, как работает Solid.\n\n# Что такое Solid?\n\nSolid — это JavaScript-фреймворк для создания интерактивных веб-приложений.\nС Solid вы можете использовать свои знания HTML и JavaScript для создания переиспользуемых компонентов. Solid предоставляет инструменты для улучшения ваших компонентов с помощью _реактивности_: декларативного JavaScript-кода, связывающего пользовательский интерфейс с данными.\n\n# Анатомия Solid-приложения\n\nSolid-приложение состоит из функций, которые мы называем компонентами. Взгляните на функцию `HelloWorld` справа: она напрямую возвращает `div`! Это сочетание HTML и JavaScript называется [JSX](https://ru.reactjs.org/docs/introducing-jsx.html). Solid является библиотекой-компилятором, который позже превращает эти теги в узлы DOM.\n\nJSX позволяет не только использовать в нашем приложении большинство элементов HTML, но и создавать новые. После того, как мы объявили нашу функцию `HelloWorld`, мы можем использовать её как тег `<HelloWorld>` во всем нашем приложении.\n\nТочкой входа для любого Solid-приложения является функция `render`. Она принимает 2 аргумента: функцию-обертку с кодом нашего приложения и существующий в HTML элемент для вывода результата:\n\n```jsx\nrender(() => <HelloWorld />, document.getElementById('app'));\n```\n\n# Использование этого учебного пособия\n\nКаждый урок в руководстве представляет фичу Solid и сценарий ее применения. В любой момент вы можете нажать кнопку «Решение», чтобы узнать ответ, или «Сброс», чтобы начать заново. Сам редактор кода имеет консоль и вкладку вывода, где вы можете увидеть код, скомпилированный Solid. Посмотрите на неё, если вам интересно узнать, как Solid генерирует код.\n\nПовеселитесь!\n";
var introduction_basics = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_basics as default, lesson, markdown, solved };
