var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), untrack(b));\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "Manchmal ist es wünschenswert, Lesezugriffe auf Signale nicht zu verfolgen, selbst innerhalb eines reaktiven Kontexts. Solid bietet dafür den `untrack`-Helfer an, um zu verhindern, dass die umgebende Berechnung durch den Lesezugriff reaktiv auf Änderungen reagiert.\n\nMal angenommen, wir wollen nicht, dass bei Änderungen von `b` neu ein Log ausgegeben wird. Wir können das `b`-Signal untracken, indem wir unseren Effekt wie folgt ändern:\n\n```js\ncreateEffect(() => {\n  console.log(a(), untrack(b));\n});\n```\nDa Signale Funktionen sind, können sie direkt übergeben werden, aber `untrack` kann auch Funktionen mit komplexerem Verhalten kapseln.\n\nObwohl `untrack` die Verfolgung von Lesezugriffen unterbindet, hat es keinen Effekt auf Schreibzugriffe, die weiterhin passieren und die Beobachter benachrichtigen.\n";
var reactivity_untrack = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_untrack as default, lesson, markdown, solved };
