var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), untrack(b));\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "В нетривиальных задачах нам может пригодиться удалять отслеживание `Сигналов`, даже в реактивной парадигме. В Solid для этого существует функция-помощник `untrack` которая позволяет удалить отслеживание любых чтений.\n\nПредположим, мы не хотим регистрироваться на обновление `Сигнала` `b`. Мы можем убрать отслеживание `Сигнала` `b`, изменив наш эффект на следующий:\n\n```js\ncreateEffect(() => {\n  console.log(a(), untrack(b));\n});\n```\n\nПоскольку `Сигналы` являются функциями, их можно передавать напрямую, но `untrack` может оборачивать функции с более сложным поведением.\n\nНесмотря на то, что `untrack` отключает отслеживание чтений, это никак не влияет на оповещения при записи, которые все еще будут уведомлять наблюдателей.\n";
var reactivity_untrack = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_untrack as default, lesson, markdown, solved };
