var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport counter from \"./counter\"\n\nfunction Counter() {\n  return (\n    <button type=\"button\">\n      0 0\n    </button>\n  );\n}\n\nrender(() => <Counter />, document.getElementById(\"app\"));\n"
		},
		{
			name: "counter",
			content: "import { createSignal, createMemo, createRoot } from \"solid-js\";\n\nfunction createCounter() {\n  const [count, setCount] = createSignal(0);\n  const increment = () => setCount(count() + 1);\n  const doubleCount = createMemo(() => count() * 2);\n  return { count, doubleCount, increment };\n}\n\nexport default createRoot(createCounter);"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport counter from \"./counter\"\n\nfunction Counter() {\n  const { count, doubleCount, increment } = counter;\n\n  return (\n    <button type=\"button\" onClick={increment}>\n      {count()} {doubleCount()}\n    </button>\n  );\n}\n\nrender(() => <Counter />, document.getElementById(\"app\"));\n"
		},
		{
			name: "counter",
			content: "import { createSignal, createMemo, createRoot } from \"solid-js\";\n\nfunction createCounter() {\n  const [count, setCount] = createSignal(0);\n  const increment = () => setCount(count() + 1);\n  const doubleCount = createMemo(() => count() * 2);\n  return { count, doubleCount, increment };\n}\n\nexport default createRoot(createCounter);"
		}
	]
};
var markdown = "Kontext ist ein wunderbares Werkzeug für Stores. Es handhabt das Einfügen der Daten, bindet den Ursprung an den reaktiven Graph, räumt automatisch auf und erzeugt keinen zusätzlichen Render-Aufwand dank Solids feingranularem Rendering.\n\nAllerdings kann man das reaktive System auch direkt für einfache Dinge einsetzen. Es ist fast nicht der Mühe wert, darauf hinzuweisen, aber ein einfacher schreibbarer Store ist nur ein Signal:\n\n```js\nimport { createSignal } from 'solid-js';\n\nexport default createSignal(0);\n\n// irgendwo anders:\nimport counter from './counter';\nconst [count, setCount] = counter;\n```\n\nSolids Reaktivität ist ein universelles Konzept. Es spielt keine Rolle, ob sie inner- oder außerhalb von Komponenten läuft. Es gibt kein anderes Konzept für globalen im Gegensatz zu lokalem Zustand. Es ist alles das gleiche.\n\nDie einzige Einschränkung ist, dass alle Berechnungen (Effekte/Memos) in einem reaktiven Root (`createRoot`) erzeugt werden müssen. Solids `render` macht das automatisch.\n\nIn dieser Anleitung ist `counter.tsx` solch ein globaler Store. Wir können ihn benutzen, indem wir unsere Komponente in `mian.tsx` umschreiben:\n\n```jsx\nconst { count, doubleCount, increment } = counter;\n\nreturn (\n  <button type=\"button\" onClick={increment}>\n    {count()} {doubleCount()}\n  </button>\n);\n```\n\nWenn wir also unsere eigenen komplizierteren globalen Zustände verwenden, die Berechnungen verwenden, müssen wir einen Root erzeugen - oder wir machen es uns einfach und benutzen stattdessen Context.\n";
var stores_nocontext = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { stores_nocontext as default, lesson, markdown, solved };
