var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport counter from \"./counter\"\n\nfunction Counter() {\n  return (\n    <button type=\"button\">\n      0 0\n    </button>\n  );\n}\n\nrender(() => <Counter />, document.getElementById(\"app\"));\n"
		},
		{
			name: "counter",
			content: "import { createSignal, createMemo, createRoot } from \"solid-js\";\n\nfunction createCounter() {\n  const [count, setCount] = createSignal(0);\n  const increment = () => setCount(count() + 1);\n  const doubleCount = createMemo(() => count() * 2);\n  return { count, doubleCount, increment };\n}\n\nexport default createRoot(createCounter);"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport counter from \"./counter\"\n\nfunction Counter() {\n  const { count, doubleCount, increment } = counter;\n\n  return (\n    <button type=\"button\" onClick={increment}>\n      {count()} {doubleCount()}\n    </button>\n  );\n}\n\nrender(() => <Counter />, document.getElementById(\"app\"));\n"
		},
		{
			name: "counter",
			content: "import { createSignal, createMemo, createRoot } from \"solid-js\";\n\nfunction createCounter() {\n  const [count, setCount] = createSignal(0);\n  const increment = () => setCount(count() + 1);\n  const doubleCount = createMemo(() => count() * 2);\n  return { count, doubleCount, increment };\n}\n\nexport default createRoot(createCounter);"
		}
	]
};
var markdown = "コンテキストはストアのための素晴らしいツールです。インジェクションを処理し、所有権をリアクティブグラフに結びつけ、廃棄を自動的に管理し、Solid のきめ細かいレンダリングにより、レンダリングのオーバーヘッドもありません。\n\nしかし、簡単なことならリアクティブシステムを直接使うこともできます。指摘する価値はほとんどありませんが、単純な書き込み可能なストアはただの Signal です:\n\n```js\nimport { createSignal } from 'solid-js';\n\nexport default createSignal(0);\n\n// どこか別の場所で:\nimport counter from './counter';\nconst [count, setCount] = counter;\n```\n\nSolid のリアクティビティは普遍的な概念です。コンポーネントの内側か外側かは関係ありません。グローバルな状態とローカルな状態という別々の概念はありません。すべてが同じものなのです。\n\n唯一の制限は、すべての計算（Effect/Memo）がリアクティブルート（`createRoot`）の下で作成される必要があることです。Solid の `render` はこれを自動的に行います。\n\nこのチュートリアルでは、`counter.tsx` がそのようなグローバルストアです。これを使用するには、`main.tsx` のコンポーネントを次のように変更します:\n\n```jsx\nconst { count, doubleCount, increment } = counter;\n\nreturn (\n  <button type=\"button\" onClick={increment}>\n    {count()} {doubleCount()}\n  </button>\n);\n```\n\nしたがって、計算を含む複雑な独自のグローバルストアを使用する場合は、必ずルートを作成してください。あるいは、コンテキストを使用することをお勧めします。\n";
var stores_nocontext = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { stores_nocontext as default, lesson, markdown, solved };
